KDK_USB_FREE(3)

NAME
kdk_usb_free - 释放kdk_usb_get_list返回的usb信息结构体

SYNOPSIS
#include <libkyusb.h>

extern void kdk_usb_free(pDriverInfoList list);

Link with -lkyusb.

Detailed Description
The main function of the interface is to release the usb information structure returned by the kdk_usb_get_list.

The argument list is the return value of the kdk_usb_get_list.

RETURN VALUE
No return value

EXAMPLES
    #include "stdio.h"
    #include "libkyusb.h"
    int main()
    {
        pDriverInfoList list = kdk_usb_get_list();
        if(list)
        {
            pDriverInfoList tmp = list;
            while (tmp)
            {
                printf("Name: %s	",tmp->data->name);
                printf("Class: %s	",tmp->data->type);
                printf("PID: %s	",tmp->data->pid);
                printf("VID: %s	",tmp->data->vid);
                printf("Serial: %s	",tmp->data->serialNo);
                printf("DevNode: %s,tmp->data->devNode);
                tmp = tmp->next;
            }

        }
        kdk_usb_free(list);
        return 0;
    }

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_usb_get_list().

SEE ALSO
kdk_usb_get_list(3).